#ifndef __TDeviceSignal_h_
#define __TDeviceSignal_h_

#include <QObject>

#include "TDevice.h"

class TDeviceSignal : public QObject {

    Q_OBJECT

  public:
    TDeviceSignal();

  signals:

    void deviceConnected(const TDevice *device);
    void deviceDisconnected(const TDevice *device);
    void deviceUpdated(const TDevice *device);
};

#endif
